Bug 457761 - (dt) Review Request: dt - Generic data test program
Review Request: dt - Generic data test program
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-04 10:21 EDT by Kevin Verma
Modified: 2012-04-13 11:53 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-22 08:03:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Kevin Verma 2008-08-04 10:21:21 EDT
Spec URL: http://kevinverma.fedorapeople.org/packages/dt/dt.spec
SRPM URL: http://kevinverma.fedorapeople.org/packages/dt/dt-15.14-3.fc9.src.rpm

Description: 'dt' is a generic data test program used to verify proper operation of peripherals and for obtaining performance information. Since verification of
data is performed, 'dt' can be thought of as a generic diagnostic tool.

'dt' command lines are similar to the 'dd' program, which is popular on most
UNIX systems. It contains numerous options to give the user complete control of
the test parameters.

'dt' has been used to successfully test disks, tapes, serial lines, parallel
lines, pipes, and memory mapped files. In fact, 'dt' can be used for any device
which allows the standard open, read, write, & close system calls. Special
support is necessary for some devices, such as serial lines, for setting up the
speed, parity, data bits, etc.

Available documentation is located in /usr/doc/dt-15.14. Sample scripts
and config data are installed in /usr/share/dt.
Comment 1 Kevin Verma 2008-08-04 10:22:20 EDT
I am a new contributor and I am seeking a sponsor.
Comment 2 Patrice Dumas 2008-08-04 11:54:06 EDT
The package name and the corresponding binary and directory 
names are too short in my opinion. See 

https://fedoraproject.org/wiki/PackagingTricks#Use_of_common_namespace

for some reasoning.
Comment 3 Michael Schwendt 2008-11-22 08:03:12 EST
"404: Not Found." everywhere + no reply on Patrice' comment.

Note You need to log in before you can comment on or make changes to this bug.